/*******************************************************************

   This software is the confidential  and proprietary information of
   NetCat AG.   You shall not disclose such confidential information
   and shall use it only in accordance with the terms of the license
   agreement you entered into with NetCat AG.

   Copyright (c) 2003 by NetCat AG, www.netcat.li

   Author: Arthur Marxer, Dipl. Informatik-Ing. ETH

*******************************************************************/

import java.io.*;
import java.net.*;

import li.netcat.smartsync.*;

public class SmartSyncExample {
  
  public static void main(String[] args)	{
    try {
      SmartSyncClient client = new SmartSyncClient();
      boolean compression = args.length >= 1 && "zip".equals(args[0]);
      client.setCompressionFlag(compression);
      client.setTaskSummaryFlag(true);
      client.setMode(SmartSyncClient.MODE_ARCHIVE);
      client.addEventMonitor(new SmartSyncMonitor());
      client.synchronize(new URL("http://localhost:8080/smartsync/SmartSyncServer"), new File("c:\\temp\\client"));
    }
    catch (IOException x) { // this exception is handled by our monitor
    }
  }
  
}
